package com.tanpu.fund.api.model.req;

import com.tanpu.common.model.Pageable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author: zhoupeng
 * @email: zhoupeng_08@163.com
 */
@ApiModel("净值参数")
@Data
public class NetReq {

    @ApiModelProperty("收益高低排序 默认倒序 1:倒叙 2:正序")
    private String profitSort;

    @ApiModelProperty("策略")
    private List<String> list;

    @ApiModelProperty("开放日筛选 1: 一个月 2: 两个月 ...")
    private String month;

    @ApiModelProperty("净值排序 默认倒序 1:倒叙 2:正序")
    private String netSort;

    @ApiModelProperty("近半年收益排序 默认倒序 1:倒叙 2:正序")
    private String aboutYearProfitSort;

    @ApiModelProperty("本周收益 默认倒序 1:倒叙 2:正序")
    private String weekProfitSort;

    @ApiModelProperty("近一月收益 默认倒序 1:倒叙 2:正序")
    private String near1MonthProfitSort;

    @ApiModelProperty("近一年收益 默认倒序 1:倒叙 2:正序")
    private String near1YearProfitSort;

    @ApiModelProperty("近一年波动率 默认倒序 1:倒叙 2:正序")
    private String near1YearVolatilitySort;

    @ApiModelProperty("近一年回撤 默认倒序 1:倒叙 2:正序")
    private String near1YearRetreatSort;

    @ApiModelProperty("近一年夏普 默认倒序 1:倒叙 2:正序")
    private String near1YearSharpSort;

    @ApiModelProperty("分页信息")
    private Pageable page;
}
